%define url http://prdownloads.sourceforge.net/e2fsprogs
%define	_root_sbindir	/sbin
%define	_root_libdir	/%_lib
%define libname %mklibname ext2fs 2
%define	devname	%mklibname ext2fs -d
%define devnameold %{mklibname ext2fs 2}-devel

Name: e2fsprogs
Version: 1.40.8
Release: %manbo_mkrel 2
Summary: Utilities used for the second extended (ext2) filesystem
License: GPL
Group: System/Kernel and hardware
Source0: http://osdn.dl.sourceforge.net/e2fsprogs/e2fsprogs-%{version}.tar.gz
Source1: e3jsize
Patch4: e2fsprogs-1.36-autoconf.patch
# (gb) strip references to home build dir
Patch5: e2fsprogs-1.36-strip-me.patch
Patch7: e2fsprogs-1.38-tst_ostype-buildfix.patch
Patch8: e2fsprogs-1.40-handle-last-check-in-the-future.patch
Patch9: e2fsprogs-1.39-istat.patch
Patch10: e2fsprogs-1.40.8-german-mistranslation.patch
#rh patches
Patch30: e2fsprogs-1.40.7-resize-inode.patch
Patch32: e2fsprogs-1.38-no_pottcdate.patch
Patch36: e2fsprogs-1.38-etcblkid.patch
Patch39: e2fsprogs-1.39-multilib.patch
Patch62: e2fsprogs-1.40.3-mkinstalldirs.patch

Patch66: e2fsprogs-1.40.2-protect-open-ops.patch
Patch67: e2fsprogs-1.40.6-ulsuspend.patch
Patch68: e2fsprogs-1.40.6-mke3fs.patch

# http://acl.bestbits.at/download.html
Url: http://e2fsprogs.sourceforge.net/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	texinfo, autoconf

%description
The e2fsprogs package contains a number of utilities for creating,
checking, modifying and correcting any inconsistencies in second
extended (ext2) filesystems.  E2fsprogs contains e2fsck (used to repair
filesystem inconsistencies after an unclean shutdown), mke2fs (used to
initialize a partition to contain an empty ext2 filesystem), debugfs
(used to examine the internal structure of a filesystem, to manually
repair a corrupted filesystem or to create test cases for e2fsck), tune2fs
(used to modify filesystem parameters) and most of the other core ext2fs
filesystem utilities.

You should install the e2fsprogs package if you need to manage the
performance of an ext2 filesystem.


%package -n %libname
Summary: The libraries for Ext2fs
Group: System/Libraries
Requires: e2fsprogs

%description -n %libname
The e2fsprogs package contains a number of utilities for creating,
checking, modifying and correcting any inconsistencies in second
extended (ext2) filesystems.  E2fsprogs contains e2fsck (used to repair
filesystem inconsistencies after an unclean shutdown), mke2fs (used to
initialize a partition to contain an empty ext2 filesystem), debugfs
(used to examine the internal structure of a filesystem, to manually
repair a corrupted filesystem or to create test cases for e2fsck), tune2fs
(used to modify filesystem parameters) and most of the other core ext2fs
filesystem utilities.

You should install %libname to use tools who use ext2fs features.

%package -n %{devname}
Summary: The libraries for Ext2fs
Group: Development/C
Requires:  %{libname} = %{version}-%{release}
Obsoletes: %{name}-devel < %{version}-%{release}
Obsoletes: %{devnameold}
Provides:  %{name}-devel = %{version}-%{release}
Provides:  libext2fs-devel = %{version}-%{release}
Provides:  libe2fsprogs-devel = %{version}-%{release}
Provides:  ext2fs-devel = %{version}-%{release}

%description -n %{devname}
The e2fsprogs package contains a number of utilities for creating,
checking, modifying and correcting any inconsistencies in second
extended (ext2) filesystems.  E2fsprogs contains e2fsck (used to repair
filesystem inconsistencies after an unclean shutdown), mke2fs (used to
initialize a partition to contain an empty ext2 filesystem), debugfs
(used to examine the internal structure of a filesystem, to manually
repair a corrupted filesystem or to create test cases for e2fsck), tune2fs
(used to modify filesystem parameters) and most of the other core ext2fs
filesystem utilities.

You should install %libname to use tools that compile with ext2fs
features.

%prep
%setup -q
%patch4 -p0
%patch5 -p1 -b .strip-me
%patch7 -p1 -b .tst_ostype
%patch8 -p1 -b .check-future
%patch9 -p1 -b .istat
# fsck does not accept the 'j' with German locale (#39803)
%patch10 -p1 -b .german-mistranslation
# enable tune2fs to set and clear the resize inode (#167816)
%patch30 -p1 -b .resize-inode
# drop timestamp from mo files (#168815/168814/245653)
%patch32 -p1 -b .pottcdate
# put blkid.tab in /etc/blkid/
%patch36 -p1 -b .etcblkid
# Fix multilib conflicts (#192665)
%patch39 -p1 -b .multilib
# Fix for newer autoconf (#220715)
%patch62 -p1 -b .mkinstalldirs

# protect ->open ops from glibc open-create-mode-checker
%patch66 -p1 -b .open
# support user level suspend signature
%patch67 -p1 -b .ulsuspend
# create journal if called as mke3fs
%patch68 -p1 -b .mke3fs

rm -f configure
autoconf

# Fix build:
chmod 644 po/*.po

%build
%configure2_5x --enable-elf-shlibs --enable-dynamic-e2fsck
make libs progs docs
make -C e2fsck e2fsck.static

%check
# FIXME: all tests must pass
# r_move_itable: resize2fs with resize_inode: failed
# r_resize_inode: resize2fs with resize_inode: failed
# 80 tests succeeded	2 tests failed
%ifnarch x86_64
LC_ALL=C make check
%else
LC_ALL=C make check || :
%endif

%install
rm -rf $RPM_BUILD_ROOT
export PATH=/sbin:$PATH

%makeinstall_std install-libs \
	root_sbindir=%{_root_sbindir} root_libdir=%{_root_libdir}

for i in libblkid.so.1 libcom_err.so.2 libe2p.so.2 libext2fs.so.2 libss.so.2 libuuid.so.1; do
	ln -s $i $RPM_BUILD_ROOT/%_root_libdir/${i%.[0-9]}
done

rm -f	$RPM_BUILD_ROOT%_libdir/libss.a \
	$RPM_BUILD_ROOT/%{_root_libdir}/libblkid.so \
	$RPM_BUILD_ROOT/%{_root_libdir}/libcom_err.so \
	$RPM_BUILD_ROOT/%{_root_libdir}/libe2p.so \
	$RPM_BUILD_ROOT/%{_root_libdir}/libext2fs.so \
	$RPM_BUILD_ROOT/%{_root_libdir}/libss.so \
	$RPM_BUILD_ROOT/%{_root_libdir}/libuuid.so

# multiarch policy, alternative is to use <stdint.h>
%multiarch_includes $RPM_BUILD_ROOT%{_includedir}/ext2fs/ext2_types.h
%multiarch_includes $RPM_BUILD_ROOT%{_includedir}/blkid/blkid_types.h

%find_lang %{name}

chmod +x $RPM_BUILD_ROOT%_bindir/{mk_cmds,compile_et}

install -m 755 e2fsck/e2fsck.static $RPM_BUILD_ROOT%{_root_sbindir}
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_root_sbindir}
ln -f $RPM_BUILD_ROOT%{_root_sbindir}/mke2fs \
	$RPM_BUILD_ROOT%{_root_sbindir}/mke3fs

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%post -n %{devname}
%_install_info libext2fs.info

%preun -n %{devname}
%_remove_install_info libext2fs.info


%files -f %name.lang
%defattr(-,root,root)
%doc README RELEASE-NOTES
%_root_sbindir/badblocks
%_root_sbindir/debugfs
%_root_sbindir/dumpe2fs
%_root_sbindir/e2fsck
%_root_sbindir/e2fsck.static
%_root_sbindir/e2label
%_root_sbindir/e3jsize
%_root_sbindir/fsck
%_root_sbindir/fsck.ext2
%_root_sbindir/fsck.ext3
%_root_sbindir/mke2fs
%_root_sbindir/mke3fs
%_root_sbindir/mkfs.ext2
%_root_sbindir/resize2fs
%_root_sbindir/tune2fs
%_root_sbindir/e2image
%_root_sbindir/findfs
%_root_sbindir/mkfs.ext3
%_sbindir/filefrag
%_sbindir/mklost+found
%dir /etc/blkid
# FIXME: why isn't this marked %config(noreplace)?
%_sysconfdir/mke2fs.conf
%_sbindir/uuidd

%_bindir/chattr
%_bindir/lsattr
%_bindir/uuidgen
%_mandir/man1/chattr.1*
%_mandir/man1/lsattr.1*
%_mandir/man1/uuidgen.1*
%_mandir/man3/uuid*
%_mandir/man5/e2fsck.conf.5*
%_mandir/man5/mke2fs.conf.5*
%_mandir/man8/badblocks.8*
%_mandir/man8/debugfs.8*
%_mandir/man8/dumpe2fs.8*
%_mandir/man8/e2fsck.8*
%_mandir/man8/e2image.8*
%_mandir/man8/e2label.8*
%_mandir/man8/filefrag.8*
%_mandir/man8/findfs.8*
%_mandir/man8/fsck.8*
%_mandir/man8/fsck.ext2.8*
%_mandir/man8/fsck.ext3.8*
%_mandir/man8/mke2fs.8*
%_mandir/man8/mkfs.ext2.8*
%_mandir/man8/mkfs.ext3.8*
%_mandir/man8/mklost+found.8*
%_mandir/man8/resize2fs.8*
%_mandir/man8/tune2fs.8*
%_mandir/man8/uuidd.8*

%_root_sbindir/blkid
%_mandir/man8/blkid.8*
%_root_sbindir/logsave
%_mandir/man8/logsave.8*


%files -n %libname
%defattr(-,root,root)
%doc README
%_root_libdir/libcom_err.so.*
%_root_libdir/libe2p.so.*
%_root_libdir/libext2fs.so.*
%_root_libdir/libss.so.*
%_root_libdir/libuuid.so.*

%_root_libdir/libblkid.so.*
%_libdir/e2initrd_helper

%files -n %{devname}
%defattr(-,root,root,755)
%_infodir/libext2fs.info*
%_bindir/compile_et
%_mandir/man1/compile_et.1*
%_mandir/man3/libblkid.3*
%_bindir/mk_cmds
%_mandir/man1/mk_cmds.1*
%_libdir/pkgconfig/*

%_libdir/libblkid.so
%_libdir/libcom_err.so
%_libdir/libe2p.a
%_libdir/libe2p.so
%_libdir/libext2fs.a
%_libdir/libext2fs.so
%_libdir/libuuid.a
%_libdir/libuuid.so
%_libdir/libcom_err.a
%_libdir/libss.so

%_datadir/et
%_datadir/ss
%_includedir/et
%_includedir/ext2fs
%multiarch %dir %multiarch_includedir/ext2fs
%multiarch %multiarch_includedir/ext2fs/ext2_types.h
%_includedir/ss
%_includedir/uuid
%_includedir/e2p/e2p.h
%_mandir/man3/com_err.3*

%_includedir/blkid/blkid.h
%_includedir/blkid/blkid_types.h
%multiarch %dir %multiarch_includedir/blkid
%multiarch %multiarch_includedir/blkid/blkid_types.h
%_libdir/libblkid.a


%changelog
* Tue Apr 22 2008 Makoto Dei <makoto@turbolinux.co.jp> 1.40.8-2mnb1
+ Revision: 196411
- fix the bug that fsck didn't accept the 'j' with German locale (#39803)

* Mon Mar 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.40.8-1mnb1
+ Revision: 188431
- new release (fix resizing)
- rediff patch 62
- new release

* Wed Feb 27 2008 Makoto Dei <makoto@turbolinux.co.jp> 1.40.6-3mnb1
+ Revision: 175693
- fix the bug that mke3fs doesn't create journal

* Sun Feb 24 2008 Andrey Borzenkov <arvidjaar@mandriva.org> 1.40.6-2mnb1
+ Revision: 174456
- patch67: add support for user level suspend in libblkid

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.40.6-1mnb1
+ Revision: 171225
- replace %%mkrel with %%manbo_mkrel for Manbo Core 1

* Tue Feb 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.40.6-1mdv2008.1
+ Revision: 166818
- new release

* Fri Feb 08 2008 Makoto Dei <makoto@turbolinux.co.jp> 1.40.5-3mdv2008.1
+ Revision: 164069
- Manbo-Lab
- added static link version of e2fsck (/sbin/e2fsck.static)
- added /sbin/mke3fs which is a link to /sbin/mke2fs
- added istat command to debugfs to show inode information
- added /sbin/e3jsize which is a shell script to show journal size of ext3 fs

* Wed Feb 06 2008 Olivier Blin <oblin@mandriva.com> 1.40.5-2mdv2008.1
+ Revision: 163016
- create /etc/blkid, so that blkid can create blkid.tab

* Mon Jan 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.40.5-1mdv2008.1
+ Revision: 159273
- kill merged patches 9, 34 & 63
- new release
- new release

* Fri Jan 11 2008 Pixel <pixel@mandriva.com> 1.40.4-4mdv2008.1
+ Revision: 147904
- ensure vol_id and blkid returns the same UUID on ntfs (#36144)

* Tue Jan 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.40.4-3mdv2008.1
+ Revision: 146448
- revert bogus "version Requires/Obsoletes/Providesr" change (part of r82504 from
  walluck on 2007-09-08) that break updating some biarch systems
- remove testsuite hack

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jan 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.40.4-2mdv2008.1
+ Revision: 140477
- new release
- kill re-definition of %%buildroot on Pixel's request

  + Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - protect ->open ops from glibc open-create-mode-checker (P66 from fedora)

* Tue Dec 11 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.40.3-1mdv2008.1
+ Revision: 117365
- set PATH so that make lib/ss test pass
- rediff patch 62
- kill patch 64 (merged upstream)
- revert r115880 (2007-12-06) from peroyvind ("sync with fedora patches")
  since there're no such patches
- new release

  + Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - can now be safely built with optimizations, do so
    - sync with fedora patches

* Sun Sep 16 2007 Funda Wang <fundawang@mandriva.org> 1.40.2-5mdv2008.0
+ Revision: 87931
- really obsoletes old devel package

* Sat Sep 08 2007 David Walluck <walluck@mandriva.org> 1.40.2-4mdv2008.0
+ Revision: 82504
- version Requires/Obsoletes/Provides
- Provides: ext2fs-devel = %%{version}-%%{release}
- release 3 claimed to implement the new devel policy but didn't, so implement it

* Wed Aug 15 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.40.2-3mdv2008.0
+ Revision: 63835
- sync with fedora patches
- new devel policy
- fix uninstall of info pages at correct stage

* Tue Aug 07 2007 David Walluck <walluck@mandriva.org> 1.40.2-2mdv2008.0
+ Revision: 59593
- move %%_mandir/man3/libblkid.3* to devel package to fix multiarch conflict

* Thu Aug 02 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.40.2-1mdv2008.0
+ Revision: 58198
- new release

* Thu Aug 02 2007 Olivier Blin <oblin@mandriva.com> 1.40-3mdv2008.0
+ Revision: 57902
- fix last check problem index (it used the same index as the dirhash hint, thus causing havoc in e2fsck, and secondarily breaking tests and rpm build)
- rebuild for new kernel headers (__u64 and __s64 types have changed)
- make files list extension-agnostic for man pages (fix build with lzma man pages)

  + David Walluck <walluck@mandriva.org>
    - 1.40
    - remove fix-memleak patch (fixed upstream)

* Thu Jun 14 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.39-5mdv2008.0
+ Revision: 39781
- patch 9: fix mem leak in libblkid (#31295)
- patch 9: fix mem leak in libblkid (#31295)


* Sun Jan 07 2007 David Walluck <walluck@mandriva.org> 1.39-4mdv2007.0
+ Revision: 104996
- bump release
- remove redundant autoconf call
  force %%check to pass on x86_64 for now (2 test failures)
- rebuild
  bunzip2 patches
  add %%check section

  + Emmanuel Andry <eandry@mandriva.org>
    - Import e2fsprogs

* Wed Aug 23 2006 Pixel <pixel@mandriva.com> 1.39-2mdv2007.0
- DrakX doesn't set the timezone/utc before formatting partition, 
  resulting in check time in the future, and so a forced fsck
  at first boot. fixing this.

* Fri Jun 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.39-1mdv2007.0
- new release
- drop patch 6 (no more needed)

* Mon May 15 2006 Stefan van der Eijk <stefan@eijk.nu> 1.38-5mdk
- rebuild for sparc

* Thu Oct 20 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.38-4mdk
- fortify fixes

* Sat Sep 10 2005 Olivier Blin <oblin@mandriva.com> 1.38-3mdk
- fix typo in summaries

* Tue Sep 06 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.38-2mdk
- fix running tests

* Fri Aug 05 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.38-1mdk
- new release
- drop patch 6 (merged upstream)
- rediff patch 7

* Mon Aug 01 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.37-5mdk
- patch 7: fix compilation of libs/e2p/os_type

* Sun Jul 31 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.37-4mdk
- Use a better BuildRequires as explain by Blino

* Sun Jul 31 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.37-3mdk
- Fix BuildRequires

* Thu Jul 28 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.37-2mdk
- patch 6: fix segfault in e2fsck

* Sat May 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.37-1mdk
- new release

* Sun Mar 06 2005 Stefan van der Eijk <stefan@eijk.nu> 1.36-3mdk
- reupload

* Mon Feb 28 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.36-2mdk
- don't reference home build dirs in compile_et and mk_cmds (multiarch)
- other multiarch fixes, though it could be fixed differently with <stdint.h>

* Fri Feb 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.36-1mdk
- new release
- rediff patch 4

* Thu Apr 01 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.35-1mdk
- new release
- remove patch 6 (no more needed)

* Thu Feb 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.34-5mdk
- patch 6: fix build
- rpmlint fix

* Mon Jan 12 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.34-4mdk
- fix perms

